@interface ScreenSaverView:NSView
{
    NSTimer *_animationTimer;
    double _timeInterval;
    int _frameRate;
    int _frameRateTime;
}

+ (int)backingStoreType;
+ (int)monitorFlags;
+ preferredDisplayModes;
- initWithFrame:(NSRect)fp12;
- (void)dealloc;
- (double)animationTimeInterval;
- (void)setAnimationTimeInterval:(double)fp36;
- (void)startAnimation;
- (void)stopAnimation;
- (char)isAnimating;
- (void)_oneStep:fp12;
- (void)oneStep;
- (void)drawRect:(NSRect)fp12;
- (char)hasConfigureSheet;
- configureSheet;

@end
