/* GLMorph.h created by epeyton on Thu 03-Dec-1998 */

#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>

#define MAX_PLANES 9

typedef struct {
  float speed;          /* zero speed means not flying */
  GLfloat red, green, blue;
  float theta;
  float x, y, z, angle;
} local_planes[MAX_PLANES];


@interface GLPlane : ScreenSaverView
{        
    NSOpenGLView *_view;
    BOOL _initedGL;
    local_planes * planes;
}

@end


