#import "SillyBalls.h"

@implementation SillyBalls

- (void)animateOneFrame
{
    // choose a random point.
    NSPoint pt = NSMakePoint(SSRandomFloatBetween(0.0, [self frame].size.width), SSRandomFloatBetween(0.0, [self frame].size.width));
    float ballSize = SSRandomFloatBetween(10.0,90.0);

    NSBezierPath *path = [NSBezierPath bezierPathWithOvalInRect:NSMakeRect(pt.x, pt.y, ballSize, ballSize)];

    // make a random color.
    NSColor *randomColor = [NSColor 
                            colorWithCalibratedRed:(SSRandomFloatBetween(0.0, 255.0)/255.0) 							green:(SSRandomFloatBetween(0.0, 255.0)/255.0) 	
                                blue:(SSRandomFloatBetween(0.0, 255.0)/255.0) 
                                alpha:(SSRandomFloatBetween(0.0, 255.0)/255.0)];
    
    // set it.
    [randomColor set];

    // draw a new ball.
    [path fill];

    return;
}

@end
