#ifndef __XGLEVERYWHERE__
#define __XGLEVERYWHERE__

#define EDGE_LENGTH	2.0

typedef struct Point3D
{
	GLfloat x;
	GLfloat y;
	GLfloat z;
} Point3D;

typedef struct {
  GLfloat     view_rotx, view_roty, view_rotz;
  GLfloat     light_colour[4];/* = {6.0, 6.0, 6.0, 1.0}; */
  GLfloat     pos[3];/* = {0.0, 0.0, 0.0}; */
  GLfloat     xinc,yinc,zinc;
  GLfloat     angle;
  GLuint      gasket1;

  int current_depth;

} gasketstruct;

void DrawFractal(Point3D inCenter,GLfloat inEdgeLength,unsigned short inLevel);
void draw(gasketstruct *gp);
void pinit(gasketstruct *gp);
void draw_gasket( gasketstruct *gp);
void reshape(int width, int height);

#endif