#import "Randomizer.h"

@interface ScreenSaverModules : NSObject
@end

@interface ScreenSaverMonitor : NSObject
@end



@implementation Randomizer


+ (BOOL)okay
{
    static BOOL ok = YES;
    if (ok) {
        ok = NO;
        return YES;
    }
    return NO;
}

- (void)drawRect:(NSRect)rects
{
    NSMutableAttributedString *attstring;
    [[NSColor blackColor] set];
    NSRectFill(rects);

    if ([self frame].size.width > 300.00) {
        attstring = [[NSMutableAttributedString alloc] initWithString:@"Loading Random ScreenSaver"];
    } else {
        attstring = [[NSMutableAttributedString alloc] initWithString:@"Randomizer"];
    }

    [attstring addAttribute:NSForegroundColorAttributeName value:[NSColor whiteColor] range:NSMakeRange(0, [attstring length])];
    [attstring drawAtPoint:NSMakePoint(10,10)];

}

- (void)oneStep
{

    if ([self frame].size.width > 300.00 && [Randomizer okay]) {
        NSArray *names = [[ScreenSaverModules sharedInstance] moduleNames];
        int number = SSRandomFloatBetween(0.0, [names count] - 1);
        NSString *name = [names objectAtIndex:number];
        NSString *string;
        while ([name isEqual:@"Randomizer"]) {
            number = SSRandomFloatBetween(0.0, [names count] - 1);
            name = [names objectAtIndex:number];
        }

                
        string = [NSString stringWithFormat:@"/System/Library/Frameworks/ScreenSaver.framework/Resources/ScreenSaverEngine.app/Contents/MacOS/ScreenSaverEngine -module '%@'", name];
                            
        system([string cString]);
        [[ScreenSaverMonitor monitor] screenSaverStopNow];
        
    }
    [self setAnimationTimeInterval:15*60];
}

@end
