/* GLMorph.h created by epeyton on Thu 03-Dec-1998 */

#import <AppKit/AppKit.h>
#import <OpenGL/gl.h>
#import <ScreenSaver/ScreenSaver.h>

static int max_depth;
static int speed;

static unsigned long frameCount;

typedef struct{
  GLfloat x;
  GLfloat y;
  GLfloat z;
} GL_VECTOR;

typedef struct {
  GLfloat     view_rotx, view_roty, view_rotz;
  GLfloat     light_colour[4];/* = {6.0, 6.0, 6.0, 1.0}; */
  GLfloat     pos[3];/* = {0.0, 0.0, 0.0}; */
  GLfloat     xinc,yinc,zinc;
  GLfloat     angle;
  GLuint      gasket1;

  int current_depth;

} gasketstruct;



@interface Sier3d : ScreenSaverView
{        
    NSOpenGLView *_view;
    BOOL _initedGL;
    gasketstruct *gs;
    
    NSTimer * timer_;
}

- (void) frameLog:(id) inSender;

@end


