//
//  SpiroScales.h
//  SpiroScales
//
//  Created by bbum@codefab.com on Tue Oct 03 2000.
//  Copyright (c) 2000 Friday Artworks. All rights reserved.
//

/* This code is over ten years old.  It was originally written for a B&W NeXT cube under NeXTSTEP 2.x or 1.x.  Pretty much everything has remained the same-- including the cruft, like about a zillion extra ivars that aren't used.  The major difference over the years is that the event handling code has gotten a whole lot easier. 

This screensaver ignores mousemovement-- hit a key to unlock the screen.   The mouse position determines the pattern drawn.  Every point on the screen does something different-- sometimes slightly different, sometimes very different.  Some points are boring, some are interesting.  */

#define NUMLINES 305
#define PI 3.1415926

@interface SpiroScales : ScreenSaverView
{
  IBOutlet id configureSheet;

  int pp,p,n,erase,erasep,erasepp, lper, count;
  float x1[NUMLINES],yc1[NUMLINES],t1[NUMLINES],t2[NUMLINES],t3[NUMLINES],
  p1,p2,p3,
  xs,ys, xf,yf, oldx, oldy,
  x1d,y1d,x2d,y2d,x3d,y3d,x4d,y4d,
  x5d,y5d,x6d,y6d,x7d,y7d,x8d,y8d,
  urx,ury,pmx,pmy, midx, midy, t,
  s1,s2,s3,s4;
  int up, i;
  float baseX, baseY;
  
  BOOL modifiedTracking;
  
}

- newSize;
- (IBAction)closeSheet:(id)sender;
@end
