#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>

typedef struct {
	int         rotx, roty, dist, wireframe, flatshade, groundlevel,
	            maxsproingies, mono;
	int         sframe, target_rx, target_ry, target_dist, target_count;
	GLuint      sproingies[6], TopsSides, SproingieBoom;
	struct 	    sPosColor *positions;
} sp_instance;


@interface SproingeeView : ScreenSaverView
{
    NSOpenGLView *_view;
    BOOL _initedGL;

    sp_instance *si;
}

@end
